The Delta Sector

Far Cry mod |

Follow 449

FarCry 1.4 and the Delta Sector Mod v1.0 are neccessary to install this patch and use of all featues. Bugfixes: - reduced impulse pressure while destroying helicopters or alien UAV's Addons: - FFA mode added to all multiplayer maps - Working Assault mode with new weapon classes (Maps must be created by community) - 2 new TDM/FFA multiplayer maps (TDS_densewoods, CRYPACK_4)

Delta Sector Patch v1.1

Related to Patch

Only registered members can share their thoughts. So come on! Join the community today and join in the conversation.

You are not logged in, join the community or sign in with your social account: